{block name="title" prepend}{$LNG.lm_buildings}{/block}
{block name="content"}
<table style="width:760px">
	{foreach $BuildInfoList as $ID => $Element}
	<tr>
		<th  colspan="3">
			<a href="#" onclick="return Dialog.info({$ID})">{$LNG.tech.{$ID}}</a>{if $Element.level > 0} ({$LNG.bd_lvl} {$Element.level}{if $Element.maxLevel != 255}/{$Element.maxLevel}{/if}){/if}
		</th>
	</tr>
	{if isset($Queue[$ID])}
	{$List = $Queue[$ID]}
	<tr>
		<td style="width:80%;vertical-align:top;" class="left">

			<div class="progressbar" data-time="{$List.resttime}" data-id="{$ID}" style="
    background: #001d00 !important;
    height: 22px!important;
    margin-top: 2px;
"></div>
		</td>
		<td>
			<div class="time" data-time="{$List.time}"><br></div>
			<span style="color:lime" data-time="{$List.endtime}" class="timer">{$List.display}</span>
		</td>
		<td>
			<form action="game.php?page=buildings" method="post" class="build_form" style="float: left;width: 100%;">
					<input type="hidden" name="cmd" value="cancel">
					<input type="hidden" name="building" value="{$ID}">
					<button type="submit" class="build_submit onlist">{$LNG.bd_cancel}</button>
				</form>
			<form action="game.php?page=buildings" method="post" class="build_form" style="float: left;width: 100%;">
					<input type="hidden" name="cmd" value="fast">
					<input type="hidden" name="building" value="{$ID}">
					<button type="submit" class="build_submit onlist tooltip" data-tooltip-content="{$LNG.cost} : {if $List.need_dm<10}{10}{else}{($List.need_dm|number)}{/if} {$LNG.dm}">{$LNG.acceleration}</button>
			</form>
			
		</td>
	</tr>	
	{/if}
	<tr>
		<td colspan="3">
			<table style="width:100%">
				<tr>
					<td colspan="1" style="width:120px;">
						<a href="#" onclick="return Dialog.info({$ID})">
							<img src="{$dpath}gebaeude/{$ID}.gif" alt="{$LNG.tech.{$ID}}" width="120" height="120">
						</a>
					</td>
					<td class="transparent left" style="width:90%;padding:10px;"><p>{$LNG.shortDescription.{$ID}}</p>
					<p>{foreach $Element.costResources as $RessID => $RessAmount}
					{$LNG.tech.{$RessID}}: <b><span style="color:{if $Element.costOverflow[$RessID] == 0}lime{else}red{/if}">{$RessAmount|number}</span></b>
					{/foreach}</p></td>
					<td class="transparent" style="vertical-align:middle;width:100px">
					{if $Element.maxLevel == $Element.levelToBuild}
						<span style="color:red">{$LNG.bd_maxlevel}</span>
					{elseif ($isBusy.research && ($ID == 6 || $ID == 31)) || ($isBusy.shipyard && ($ID == 15 || $ID == 21))}
						<span style="color:red">{$LNG.bd_working}</span>
					{else}
						{if $RoomIsOk}
							{if $CanBuildElement && $Element.buyable}
								{if !isset($Queue[$ID])}
								<form action="game.php?page=buildings" method="post" class="build_form">
									<input type="hidden" name="cmd" value="insert">
									<input type="hidden" name="building" value="{$ID}">
									<button type="submit" class="build_submit">{if $Element.level == 0}{$LNG.bd_build}{else}{$LNG.bd_build_next_level}{$Element.levelToBuild + 1}{/if}</button>
								</form>
								{else}
									<span style="color:red">{$LNG.beingBuilt}</span>
								{/if}
							{else}
							<span style="color:red">{if $Element.level == 0}{$LNG.bd_build}{else}{$LNG.bd_build_next_level}{$Element.levelToBuild + 1}{/if}</span>
							{/if}
						{else}
						<span style="color:red">{$LNG.bd_no_more_fields}</span>
						{/if}
					{/if}
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="3" style="margin-bottom:10px;">  
			<table style="width:100%">
				<tr>
					<td class="transparent left">
						{$LNG.bd_remaining}<br>
						{foreach $Element.costOverflow as $ResType => $ResCount}
						{$LNG.tech.{$ResType}}: <span style="font-weight:700">{$ResCount|number}</span><br>
						{/foreach}
						<br>
					</td>
				</tr>
				<tr>		
					<td class="transparent left" style="width:68%">
						{if !empty($Element.infoEnergy)}
							{$LNG.bd_next_level}<br>
							{$Element.infoEnergy}<br>
						{/if}
						{if $Element.level > 0}
							{if $ID == 43}<a href="#" onclick="return Dialog.info({$ID})">{$LNG.bd_jump_gate_action}</a>{/if}
							{if !isset($Queue[$ID])}
							{if ($ID == 44 && !$HaveMissiles) ||  $ID != 44}<br><a class="tooltip_sticky" data-tooltip-content="
								{* Start Destruction Popup *}
								<table style='width:300px'>
									<tr>
										<th colspan='2'>{$LNG.bd_price_for_destroy} {$LNG.tech.{$ID}} {$Element.level}</th>
									</tr>
									{foreach $Element.destroyResources as $ResType => $ResCount}
									<tr>
										<td>{$LNG.tech.{$ResType}}</td>
										<td><span style='color:{if empty($Element.destroyOverflow[$RessID])}lime{else}red{/if}'>{$ResCount|number}</span></td>
									</tr>
									{/foreach}
									<tr>
										<td>{$LNG.bd_destroy_time}</td>
										<td>{$Element.destroyTime|time}</td>
									</tr>
									<tr>
										<td colspan='2'>
											<form action='game.php?page=buildings' method='post' class='build_form'>
												<input type='hidden' name='cmd' value='destroy'>
												<input type='hidden' name='building' value='{$ID}'>
												<button type='submit' class='build_submit onlist'>{$LNG.bd_dismantle}</button>
											</form>
										</td>
									</tr>
								</table>
								{* End Destruction Popup *}
								">{$LNG.bd_dismantle}</a>{/if}
							{/if}	
						{else}
							&nbsp;
						{/if}
					</td>
					<td class="transparent right" style="white-space:nowrap;">
						{$LNG.fgf_time}:<br>{$Element.elementTime|time}
					</td>
				</tr>	
			</table>
		</td>
	</tr>
	{/foreach}
</table>
{/block}